import { userManageClassManageApi, userManageMajorApi, userManageDepartmentApi } from "@/api";

// 获取专业列表
const getMajorList = async (depId: any) => {
  const res: any = await userManageMajorApi.list({ depId });
  return res.data;
};
/* 获取系部 */

const getDepartmentList = async () => {
  const res: any = await userManageDepartmentApi.list({});
  return res.data;
};
/* 获取所属班级 */

const getClassList = async (majorId: any) => {
  const res: any = await userManageClassManageApi.page({ majorId });
  return res.data;
};

export { getMajorList, getDepartmentList, getClassList };
